#ifndef _DEBUG_H_
#define _DEBUG_H_

#ifdef DEBUG

#include <iostream>
#include <cstdio>
#include <string>

using std::fprintf;
using std::cerr;
using std::endl;
using std::string;

#endif

inline void debug(string msg)
{
#ifdef DEBUG
    cerr << "debug: " << msg << endl;
#endif
    return;
}

#endif
