/*
  This renders and handles the title screen / main menu
 */

#ifndef _TITLE_SCREEN_H_
#define _TITLE_SCREEN_H_

#include "gamestate.h"

class TitleScreen : public GameState
{
 public:
    TitleScreen(stack<GameState*>* state_stack, SDL_Surface* display);
    ~TitleScreen();

    bool init();

 protected:
    void render();
    void iterate() {}
    
    // signal handlers
    void on_lbutton_down(int x, int y);
    void on_key_down(SDLKey sym, SDLMod mod, Uint16 unicode);
    
 private:
    SDL_Surface* background;
    SDL_Surface* title_banner;
};


#endif
